"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var process_service_1 = require("./process.service");
var process_event_class_1 = require("./process-event.class");
var process_options_class_1 = require("./process-options.class");
var ProcessBarComponent = (function () {
    function ProcessBarComponent(service, options) {
        this.service = service;
        this.options = options;
        this.progress = 0;
        this.visible = true;
    }
    ProcessBarComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.sub = this.service.events.subscribe(function (event) {
            if (event.type === process_event_class_1.ProcessEventType.VISIBLE) {
                _this.visible = event.value;
            }
            else if (event.type === process_event_class_1.ProcessEventType.PROGRESS) {
                _this.progress = event.value * 100;
            }
        });
    };
    ProcessBarComponent.prototype.ngOnDestroy = function () {
        if (this.sub) {
            this.sub.unsubscribe();
        }
    };
    ProcessBarComponent.prototype.getProcessBarStyles = function () {
        return {
            'width': this.progress + '%',
            'height.px': this.options.height,
            'opacity': this.visible ? 1 : 0,
            'background-color': this.options.color,
            'color': this.options.color
        };
    };
    return ProcessBarComponent;
}());
ProcessBarComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'app-process-bar',
                template: "<div class=\"yk-loading-bar-process\" [ngStyle]=\"getProcessBarStyles()\"></div>",
                styles: ["*,::after,::before{-moz-box-sizing:border-box;box-sizing:border-box}.yk-loading-bar-process{background-color:#b22222;color:#b22222;height:2px;-moz-box-shadow:0 0 10px 0;box-shadow:0 0 10px 0;-webkit-transition:all .2s ease-in-out,opacity .5s ease;-moz-transition:all .2s ease-in-out,opacity .5s ease;transition:all .2s ease-in-out,opacity .5s ease;opacity:0}.yk-loading-bar-spinner{display:block;position:fixed;top:12px;right:12px}"],
            },] },
];
ProcessBarComponent.ctorParameters = function () { return [
    { type: process_service_1.ProcessService, },
    { type: process_options_class_1.ProcessOptions, },
]; };
exports.ProcessBarComponent = ProcessBarComponent;
//# sourceMappingURL=process-bar.component.js.map