"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var process_event_class_1 = require("./process-event.class");
var process_service_1 = require("./process.service");
var process_options_class_1 = require("./process-options.class");
var ProcessIconComponent = (function () {
    function ProcessIconComponent(service, options) {
        this.service = service;
        this.options = options;
        this.visible = true;
    }
    ProcessIconComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.sub = this.service.events.subscribe(function (event) {
            if (event.type === process_event_class_1.ProcessEventType.VISIBLE) {
                _this.visible = event.value;
            }
        });
    };
    ProcessIconComponent.prototype.ngOnDestroy = function () {
        if (this.sub) {
            this.sub.unsubscribe();
        }
    };
    ProcessIconComponent.prototype.getProcessIconStyles = function () {
        return {
            'border-top-color': this.options.color,
            'border-left-color': this.options.color,
            'opacity': (this.visible && this.options.showSpinIcon) ? 1 : 0,
        };
    };
    return ProcessIconComponent;
}());
ProcessIconComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'app-process-icon',
                template: "<div class=\"yk-loading-bar-spinner-icon\" [ngStyle]=\"getProcessIconStyles()\"></div>",
                styles: ["*,::after,::before{-moz-box-sizing:border-box;box-sizing:border-box}.yk-loading-bar-spinner-icon{position:fixed;top:15px;right:15px;width:18px;height:18px;-moz-box-sizing:border-box;box-sizing:border-box;border:solid 2px transparent;border-top-color:#b22222;border-left-color:#b22222;-moz-border-radius:50%;border-radius:50%;opacity:0;-webkit-transition:opacity .5s ease-in-out;-moz-transition:opacity .5s ease-in-out;transition:opacity .5s ease-in-out;-webkit-animation:yk-spinning .4s linear infinite;-moz-animation:yk-spinning .4s linear infinite;animation:yk-spinning .4s linear infinite}@-webkit-keyframes yk-spinning{0%{-webkit-transform:rotate(0);transform:rotate(0)}100%{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}@-moz-keyframes yk-spinning{0%{-moz-transform:rotate(0);transform:rotate(0)}100%{-moz-transform:rotate(360deg);transform:rotate(360deg)}}@keyframes yk-spinning{0%{-webkit-transform:rotate(0);-moz-transform:rotate(0);transform:rotate(0)}100%{-webkit-transform:rotate(360deg);-moz-transform:rotate(360deg);transform:rotate(360deg)}}"],
            },] },
];
ProcessIconComponent.ctorParameters = function () { return [
    { type: process_service_1.ProcessService, },
    { type: process_options_class_1.ProcessOptions, },
]; };
exports.ProcessIconComponent = ProcessIconComponent;
//# sourceMappingURL=process-icon.component.js.map