import { ApplicationRef, ComponentFactoryResolver, ViewContainerRef } from '@angular/core';
import { ProcessEvent } from './process-event.class';
import { Observable, Subject } from 'rxjs/Rx';
import { ProcessOptions } from './process-options.class';
export declare class ProcessService {
    private componentFactoryResolver;
    private appRef;
    eventSource: Subject<ProcessEvent>;
    events: Observable<ProcessEvent>;
    private container;
    private rootViewContainerRef;
    private speed;
    private intervalId;
    private visibleTimeoutId;
    private disposeTimeoutId;
    private options;
    private visible;
    Visible: boolean;
    private progress;
    Progress: number;
    constructor(componentFactoryResolver: ComponentFactoryResolver, appRef: ApplicationRef, options: ProcessOptions);
    setRootViewContainerRef(vRef: ViewContainerRef): void;
    start(): void;
    done(): void;
    private startBarProcess();
    private doneBarProcess();
    private donePageProcess();
    private trickle(amount?);
    private clear();
    private dispose();
    private set();
    private emitEvent(event);
    private clamp(n, min, max);
}
