/**
 * process-container.component
 */

import { Component, OnInit } from '@angular/core';
import { ProcessOptions } from './process-options.class';

@Component({
    selector: 'app-process-container',
    template: `<div class="yk-loading-container"><div *ngIf="processType === 'bar'" class="yk-loading-bar"><app-process-bar></app-process-bar><app-process-icon></app-process-icon></div><div *ngIf="processType === 'page'" class="yk-loading-page"><app-process-page></app-process-page></div></div>`,
    styles: [`*,::after,::before{-moz-box-sizing:border-box;box-sizing:border-box}.yk-loading-container{position:fixed;top:0;left:0;right:0;z-index:999999;margin:0;padding:0}`],
})
export class ProcessContainerComponent implements OnInit {

    public processType: string;

    constructor( private options: ProcessOptions ) {
    }

    public ngOnInit() {
        this.processType = this.options.type;
    }
}
